Skip to content
Start here

Edit a participant's detail

client.RealtimeKit.Meetings.EditParticipant(ctx, appID, meetingID, participantID, params) (*MeetingEditParticipantResponse, error)
PATCH/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants/{participant_id}

Updates a participant's details for the given meeting and participant ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appID string

The app identifier tag.

maxLength32
meetingID string
formatuuid
participantID string
params MeetingEditParticipantParams
AccountID param.Field[string]

Path param: The account identifier tag.

maxLength32
Name param.Field[string]optional

Body param: (Optional) Name of the participant.

Picture param.Field[string]optional

Body param: (Optional) A URL to a picture to be used for the participant.

formaturi
PresetName param.Field[string]optional

Body param: (Optional) Name of the preset to apply to this participant.

ReturnsExpand Collapse
type MeetingEditParticipantResponse struct{…}
Success bool

Success status of the operation

Data MeetingEditParticipantResponseDataoptional

Represents a participant.

ID string

ID of the participant.

formatuuid
Token string

The participant's auth token that can be used for joining a meeting from the client side.

CreatedAt Time

When this object was created. The time is returned in ISO format.

formatdate-time
CustomParticipantID string

A unique participant ID generated by the client.

PresetName string

Preset applied to the participant.

UpdatedAt Time

When this object was updated. The time is returned in ISO format.

formatdate-time
Name stringoptional

Name of the participant.

Picture stringoptional

URL to a picture of the participant.

formaturi

Edit a participant's detail

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Meetings.EditParticipant(
    context.TODO(),
    "app_id",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "participant_id",
    realtime_kit.MeetingEditParticipantParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Success)
}
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "token": "token",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  }
}
Returns Examples
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "token": "token",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  }
}